%global short_name      commons-cli

Name:             apache-%{short_name}
Version:          1.3.1
Release:          %mkrel 5
Group:            Development/Java
Summary:          Command Line Interface Library for Java
License:          ASL 2.0
URL:              http://commons.apache.org/cli/
BuildArch:        noarch

Source0:          http://www.apache.org/dist/commons/cli/source/%{short_name}-%{version}-src.tar.gz

# workaround for https://issues.apache.org/jira/browse/CLI-253
Patch0:           CLI-253-workaround.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.jacoco:jacoco-maven-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

%description
The CLI library provides a simple and easy to use API for working with the 
command line arguments and options.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src

%patch0 -p1

# Compatibility links
%mvn_alias "%{short_name}:%{short_name}" "org.apache.commons:%{short_name}"
%mvn_file :commons-cli %{short_name} %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt README.md RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt



%changelog
* Sun May 14 2017 neoclust <neoclust> 1.3.1-5.mga6
+ Revision: 1101222
- Regenerate build-requires

* Wed Mar 02 2016 neoclust <neoclust> 1.3.1-4.mga6
+ Revision: 982411
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.3.1-3.mga6
+ Revision: 975446
- First rebuild of the java stack
- sync package apache-commons-cli with fedora

* Sat Dec 19 2015 zezinho <zezinho> 1.3.1-1.mga6
+ Revision: 912235
- new build dep on jacoco-maven-plugin
- new version
- new version

* Wed Oct 15 2014 umeabot <umeabot> 1.2-14.mga5
+ Revision: 749196
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-13.mga5
+ Revision: 677790
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 1.2-12.mga5
+ Revision: 630508
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1.2-9.mga4
+ Revision: 489390
- Rebuild against new javapackages

* Thu Sep 12 2013 dmorgan <dmorgan> 1.2-8.mga4
+ Revision: 478218
- Add missing maven-local BR

* Fri Jan 11 2013 umeabot <umeabot> 1.2-7.mga3
+ Revision: 345650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 25 2012 dmorgan <dmorgan> 1.2-6.mga3
+ Revision: 263668
- Adapt to new guidelines

* Wed Apr 27 2011 dmorgan <dmorgan> 1.2-5.mga1
+ Revision: 92223
- Rebuild after bootstrapping
- imported package apache-commons-cli


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 9 2010 Chris Spike <chris.spike@arcor.de> 1.2-3
- Removed maven* BRs in favour of apache-commons-parent
- Added deprecated groupId to depmap for compatibility reasons

* Mon Oct 18 2010 Chris Spike <chris.spike@arcor.de> 1.2-2
- Removed Epoch

* Sun Oct 3 2010 Chris Spike <chris.spike@arcor.de> 1.2-1
- Rename and rebase from jakarta-commons-cli
